> For the complete documentation index, see [llms.txt](https://developers-apps-in-toss.toss.im/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.isintegrated.md).

# TossAuth.isIntegrated

> 函数式 API `getIsTossLoginIntegratedService`也可以用来使用相同功能。

### 功能说明

用于确认用户是否已关联 Toss 登录。可用于查找现有的 Toss 登录用户，并进行转换为游戏标识符的迁移等。

Toss App Android/iOS `5.237.0` 及以上版本可使用。在不支持的版本中调用时 `UNSUPPORTED_APP_VERSION` 会发生错误。

如果在未使用 Toss 登录的 Mini App 中调用 `"需要设置 oauth2ClientId。"` 会发生消息错误。

### 类型

```ts
TossAuth.isIntegrated(): Promise<boolean>;
```

**参数**

无

**响应**

如果已关联 `true`，否则 `false`会返回。

### 错误代码

错误代码是 catch 到的错误的 `error.code` 值。

| 代码                        | 说明                                                                                                                   |
| ------------------------- | -------------------------------------------------------------------------------------------------------------------- |
| `UNSUPPORTED_APP_VERSION` | 如果当前运行的 Toss App 版本不支持此功能，则调用后会立即发生。 `TossAuth.isIntegrated.isSupported()`请先通过它确认，发生时 `error.message`请向用户显示（更新提示文案）。 |

### 示例代码

```js
import { TossAuth } from "@apps-in-toss/web-framework";

const button = document.querySelector("#check-integration-button");

button.addEventListener("click", async () => {
  try {
    const result = await TossAuth.isIntegrated();

    if (result === true) {
      console.log("这是已关联 Toss 登录的用户。");
    } else {
      console.log("这是未关联 Toss 登录的用户。");
    }
  } catch (error) {
    console.error(error);
  }
});
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers-apps-in-toss.toss.im/documentation/api-and-sdk-zh/sdk/domains-api/tossauth/tossauth.isintegrated.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
